## freemat 4.0%2Bdfsg1

=== dependencies/volpack-1.0c7/doc/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/volpack
pkglibdir = $(libdir)/volpack
pkgincludedir = $(includedir)/volpack
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run autoconf
AUTOHEADER = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run autoheader
AUTOMAKE = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = gfortran
FFLAGS = -g -O2
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBVERSION = 1:4:0
LN_S = ln -s
LTLIBOBJS = 
M4 = /usr/bin/m4
MAJOR = 1
MAKEINFO = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run makeinfo
MINOR = 4
MKDIR_P = /bin/mkdir -p
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
PACKAGE = volpack
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.0c7
abs_builddir = /home/basu/src/volpack-1.0c7/doc
abs_srcdir = /home/basu/src/volpack-1.0c7/doc
abs_top_builddir = /home/basu/src/volpack-1.0c7
abs_top_srcdir = /home/basu/src/volpack-1.0c7
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = gfortran
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/basu/src/volpack-1.0c7/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/basu
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DISTS = \
	vp_userguide.html \
	vp_userguide.ps 

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== dependencies/llvm-2.5/docs/tutorial/Makefile ===
##===- docs/tutorial/Makefile ------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL := ../..
include $(LEVEL)/Makefile.common

HTML       := $(wildcard $(PROJ_SRC_DIR)/*.html)
EXTRA_DIST := $(HTML) index.html
HTML_DIR   := $(PROJ_docsdir)/html/tutorial

install-local:: $(HTML)
	$(Echo) Installing HTML Tutorial Documentation
	$(Verb) $(MKDIR) $(HTML_DIR)
	$(Verb) $(DataInstall) $(HTML) $(HTML_DIR)
	$(Verb) $(DataInstall) $(PROJ_SRC_DIR)/index.html $(HTML_DIR)

uninstall-local::
	$(Echo) Uninstalling Tutorial Documentation
	$(Verb) $(RM) -rf $(HTML_DIR)

printvars::
	$(Echo) "HTML           : " '$(HTML)'

=== dependencies/llvm-2.5/examples/HowToUseJIT/CMakeLists.txt ===
set(LLVM_LINK_COMPONENTS jit interpreter nativecodegen)

add_llvm_example(HowToUseJIT
  HowToUseJIT.cpp
  )

=== dependencies/llvm-2.5/tools/llvm-extract/Makefile ===
##===- tools/llvm-extract/Makefile -------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##

LEVEL = ../..

TOOLNAME = llvm-extract
LINK_COMPONENTS := ipo bitreader bitwriter

include $(LEVEL)/Makefile.common

=== dependencies/llvm-2.5/tools/llvm-ld/Makefile ===
##===- tools/llvm-ld/Makefile ------------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##

LEVEL = ../..

TOOLNAME = llvm-ld
LINK_COMPONENTS = ipo scalaropts linker archive bitwriter
REQUIRES_EH := 1

include $(LEVEL)/Makefile.common

=== dependencies/llvm-2.5/tools/llvm-nm/Makefile ===
##===- tools/llvm-nm/Makefile ------------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##
LEVEL = ../..

TOOLNAME = llvm-nm
LINK_COMPONENTS = archive bitreader

include $(LEVEL)/Makefile.common

=== libs/thirdparty/UMFPACK/Doc/Makefile ===
#-------------------------------------------------------------------------------
# UMFPACK Makefile for compiling on Unix systems (for GNU or original make)
#-------------------------------------------------------------------------------

# UMFPACK Version 4.4, Copyright (c) 2005 by Timothy A. Davis.
# All Rights Reserved.  See ../Doc/License for License.

default: dist

include ../../UFconfig/UFconfig.mk

#-------------------------------------------------------------------------------
# Remove all but the files in the original distribution
#-------------------------------------------------------------------------------

# Note that UserGuide.tex is created from UserGuide.stex, the files in 
# the ../Include directory, and the ../Demo/umfpack_simple.c file.
purge: clean
	- $(RM) *.aux *.bbl *.blg *.log *.toc
	- $(RM) UserGuide.tex

clean:
	- $(RM) $(CLEAN)

#-------------------------------------------------------------------------------
# Create the User Guide and Quick Start Guide
#-------------------------------------------------------------------------------

UMFPACK = umfpack_col_to_triplet umfpack_defaults umfpack_free_numeric \
	umfpack_free_symbolic umfpack_get_numeric umfpack_get_lunz \
	umfpack_get_determinant \
	umfpack_get_symbolic umfpack_numeric umfpack_qsymbolic \
	umfpack_report_control umfpack_report_info umfpack_report_matrix \
	umfpack_report_numeric umfpack_report_perm umfpack_report_status \
	umfpack_report_symbolic umfpack_report_triplet \
	umfpack_report_vector umfpack_solve umfpack_symbolic \
	umfpack_transpose umfpack_triplet_to_col umfpack_scale

UMFPACKW = umfpack_wsolve

USER = $(UMFPACKW) $(UMFPACK)

SRC = $(addprefix ../Include/, $(addsuffix .h,$(USER))) ../Demo/umfpack_simple.c

UserGuide.pdf:  UserGuide.stex UserGuide.sed1 UserGuide.sed2 $(SRC) UserGuide.bib
	sed -f UserGuide.sed1 < UserGuide.stex | sed -f UserGuide.sed2 \
	    | expand -8 > UserGuide.tex
	pdflatex UserGuide
	bibtex UserGuide
	pdflatex UserGuide
	pdflatex UserGuide

QuickStart.pdf: QuickStart.tex
	pdflatex QuickStart
	pdflatex QuickStart

dist:  QuickStart.pdf UserGuide.pdf
	- $(RM) *.aux *.bbl *.blg *.log *.toc
	- $(RM) UserGuide.tex

=== dependencies/llvm-2.5/bindings/ocaml/executionengine/Makefile ===
##===- bindings/ocaml/executionengine/Makefile --------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##
# 
# This is the makefile for the Objective Caml Llvm_executionengine interface.
# 
##===----------------------------------------------------------------------===##

LEVEL := ../../..
LIBRARYNAME := llvm_executionengine
DONT_BUILD_RELINKED := 1
UsedComponents := executionengine jit interpreter native
UsedOcamlInterfaces := llvm llvm_target

include ../Makefile.ocaml

=== dependencies/llvm-2.5/lib/Target/CellSPU/Makefile ===
##===- lib/Target/CellSPU/Makefile -------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL = ../../..
LIBRARYNAME = LLVMCellSPUCodeGen
TARGET = SPU

BUILT_SOURCES = SPUGenInstrNames.inc SPUGenRegisterNames.inc \
		SPUGenAsmWriter.inc SPUGenCodeEmitter.inc \
		SPUGenRegisterInfo.h.inc SPUGenRegisterInfo.inc \
		SPUGenInstrInfo.inc SPUGenDAGISel.inc \
		SPUGenSubtarget.inc SPUGenCallingConv.inc

DIRS = AsmPrinter

include $(LEVEL)/Makefile.common

=== dependencies/llvm-2.5/lib/Target/CppBackend/CMakeLists.txt ===
add_llvm_target(CppBackend
  CPPBackend.cpp
  )

=== dependencies/llvm-2.5/lib/Target/X86/CMakeLists.txt ===
set(LLVM_TARGET_DEFINITIONS X86.td)

tablegen(X86GenRegisterInfo.h.inc -gen-register-desc-header)
tablegen(X86GenRegisterNames.inc -gen-register-enums)
tablegen(X86GenRegisterInfo.inc -gen-register-desc)
tablegen(X86GenInstrNames.inc -gen-instr-enums)
tablegen(X86GenInstrInfo.inc -gen-instr-desc)
tablegen(X86GenAsmWriter.inc -gen-asm-writer)
tablegen(X86GenAsmWriter1.inc -gen-asm-writer -asmwriternum=1)
tablegen(X86GenDAGISel.inc -gen-dag-isel)
tablegen(X86GenFastISel.inc -gen-fast-isel)
tablegen(X86GenCallingConv.inc -gen-callingconv)
tablegen(X86GenSubtarget.inc -gen-subtarget)

add_llvm_target(X86CodeGen
  X86CodeEmitter.cpp
  X86ELFWriterInfo.cpp
  X86FloatingPoint.cpp
  X86FloatingPointRegKill.cpp
  X86ISelDAGToDAG.cpp
  X86ISelLowering.cpp
  X86InstrInfo.cpp
  X86JITInfo.cpp
  X86RegisterInfo.cpp
  X86Subtarget.cpp
  X86TargetAsmInfo.cpp
  X86TargetMachine.cpp
  X86FastISel.cpp
  )

=== dependencies/llvm-2.5/lib/Transforms/Hello/CMakeLists.txt ===
add_llvm_library( LLVMHello
  Hello.cpp
  )

=== debian/control ===
Source: freemat
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Giuseppe Iuculano <iuculano@debian.org>,
           Anton Gladky <gladky.anton@gmail.com>
Section: math
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               autoconf,
               automake,
               gfortran,
               libpcre3-dev,
               libncurses5-dev,
               libfftw3-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libsuitesparse-dev,
               zlib1g-dev,
               portaudio19-dev,
               libglu1-mesa-dev,
               minpack-dev,
               pkg-config,
               libarpack2-dev,
               cmake,
               libvolpack1-dev
Build-Depends-Indep: texlive
Build-Conflicts: libqt3-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/freemat.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/freemat.git
Homepage: http://freemat.sourceforge.net

Package: freemat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         freemat-data (= ${source:Version})
Recommends: freemat-help
Description: mathematics framework (mostly matlab compatible)
 FreeMat is a free environment for rapid engineering and scientific prototyping
 and data processing. It is similar to commercial systems such as MATLAB from
 Mathworks, and IDL from Research Systems, but is Open Source.
 FreeMat is available under the GPL license.

Package: freemat-data
Architecture: all
Depends: ${misc:Depends}
Recommends: freemat
Description: freemat data files
 FreeMat is a free environment for rapid engineering and scientific prototyping
 and data processing. It is similar to commercial systems such as MATLAB from
 Mathworks, and IDL from Research Systems, but is Open Source.
 FreeMat is available under the GPL license.
 .
 This package install freemat data files

Package: freemat-help
Architecture: all
Depends: ${misc:Depends}
Recommends: freemat
Description: freemat help files
 FreeMat is a free environment for rapid engineering and scientific prototyping
 and data processing. It is similar to commercial systems such as MATLAB from
 Mathworks, and IDL from Research Systems, but is Open Source.
 FreeMat is available under the GPL license.
 .
 This package install freemat help files
